List a mailbox's labels
GET
/v1/email/mailboxes/{mailbox_id}/labelsconst labels = await bird.email.mailboxes.labels("mbx_01abc");
console.log(labels.data.map((label) => label.name));labels = client.email.mailboxes.labels("mbx_01krdgeqcxet5s7t44vh8rt9mg")
for label in labels.data:
print(label.name)labels, err := client.Email.Mailboxes.Labels(context.Background(), "mbx_123")
if err != nil {
log.Fatal(err)
}
for _, l := range labels.Data {
fmt.Println(l.Name)
}$labels = $bird->email->mailboxes->labels('mbx_01krdgeqcxet5s7t44vh8rt9mg');
foreach ($labels->getData() ?? [] as $label) {
echo $label->getName(), "\n";
}bird email mailboxes labels <mailbox-id>curl -X GET "https://us1.platform.bird.com/v1/email/mailboxes/{mailbox_id}/labels" \
-H "Authorization: Bearer $TOKEN"Response200
{
"data": [
{
"name": "inbox",
"type": "system"
}
]
}
Returns the labels available in a mailbox. First, the built-in system labels:
- The placements
inbox,archive,spam,blocked, andsent. trash.unread.
Then, every custom label currently in use on its conversations and messages. Apply and remove labels through the conversation and message update endpoints. These actions also create and remove custom labels. A custom label exists while at least one message or conversation uses it.
Parameters
mailbox_idstringMailbox identifier. Starts with mbx_.
Response Payload
dataarray of object
required
Related resources
Continue with the documentation, guides and examples for this topic.